# pandas.core.window.ewm.ExponentialMovingWindow.corr

ExponentialMovingWindow.corr(other=None, pairwise=None, **kwargs)

  Calculate the ewm (exponential weighted moment) sample correlation.

  Parameters
    other Series or DataFrame, optional

      If not supplied then will default to self and produce pairwise output.

    pairwise bool, default None

      If False then only matching columns between self and other will be used and the output will be a DataFrame. If True then all pairwise combinations will be calculated and the output will be a MultiIndex DataFrame in the case of DataFrame inputs. In the case of missing elements, only complete pairwise observations will be used.

    **kwargs

      For NumPy compatibility and will not have an effect on the result.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `pandas.Series.ewm`

    Calling ewm with Series data.

  `pandas.DataFrame.ewm`

    Calling ewm with DataFrames.

  `pandas.Series.corr`

    Aggregating corr for Series.

  `pandas.DataFrame.corr`

    Aggregating corr for DataFrame.